SYSTEMD-CGTOP(1)

BEZEICHNUNG
systemd-cgtop - Zeigt die gemäß Ressourcenverbrauch obersten Control-Gruppen

ÜBERSICHT

systemd-cgtop [OPTIONEN…] [GRUPPE]

BESCHREIBUNG

systemd-cgtop zeigt die obersten Control-Gruppen der lokalen Linux-Control-Gruppenhierarchie, sortiert nach CPU-, Speicher- oder Platten-E/A-Last. Die Anzeige wird in regelmäßigen Abständen erneuert (standardmäßig 1 s), ähnlich der Art von top(1). Falls ein Control-Gruppenpfad angegeben ist, werden nur die Dienste der angegeben Control-Gruppe angezeigt.

Falls systemd-cgtop nicht mit einem TTY verbunden ist, werden keine Spaltenköpfe angezeigt und standardmäßig nur eine Iteration durchlaufen. Das Argument --iterations= wird, falls es angegeben ist, berücksichtigt. Dieser Modus eignet sich zum Skripten.

Die Buchführung für den Verbrauch wird nur durchgeführt, falls die geeigneten Steuerungen eingeschaltet sind: »cpu«-Steuerung für die CPU-Verwendung, »memory«-Steuerung für die Speicherverwendung und »io«-Steuerung für den Platten-E/A-Verbrauch. Falls die Ressourcenüberwachung für diese Ressourcen benötigt wird, wird empfohlen, die Einstellungen CPUAccounting=1, MemoryAccounting=1 und IOAccounting=1 in der betroffenen Unit-Datei vorzunehmen. Siehe systemd.resource-control(5) für Details.

Der CPU-Lastwert kann zwischen 0 und 100 mal der Anzahl der Prozessoren, die das System hat, liegen. Hat das System beispielsweise 8 Prozessoren, wird der CPU-Lastwert zwischen 0% und 800% liegen. Die Anzahl der Prozessoren kann in »/proc/cpuinfo« gefunden werden.

Um das zu betonen: außer falls »CPUAccounting=1«, »MemoryAccounting=1« und »IOAccounting=1« für den in Frage kommenden Dienst aktiviert sind, steht den Systemdiensten keine Buchführung zur Verfügung und die von systemd-cgtop gezeigten Daten werden unvollständig sein.

OPTIONEN

Die folgenden Optionen werden verstanden:

-p, --order=path
    Sortiert nach Control-Gruppen-Pfadname.

-t, --order=tasks
    Sortiert nach der Anzahl von Prozessen in der Control-Gruppe.

-c, --order=cpu
    Sortiert nach CPU-Last.

-m, --order=memory
    Sortiert nach Speicherverbrauch.

-i, --order=io
    Sortiert nach Platten E/A-Last.

-b, --batch
    Führt im »Stapel«-Modus aus: Es wird keine Eingabe akzeptiert und bis zur Erreichung der mit --iterations= gesetzten Interationsgrenze oder bis zum Töten ausgeführt. Dieser Modus kann zum Senden der Ausgabe von systemd-cgtop an andere Programm oder in eine Datei nützlich sein.

-r, --raw
    Formatiert Byte-Anzahlen (wie bei der Speicherbenutzung und E/A-Metriken) und CPU-Zeit mit rohen numerischen Werten statt mit menschenlesbaren Zahlen.

--cpu=percentage, --cpu=time
    Steuert, ob die CPU-Benutzung als Prozentwert oder als Zeit dargestellt wird. Standardmäßig wird die CPU-Benutzung als Prozentwert dargestellt. Diese Einstellung kann auch zur Laufzeit durch Drücken der Taste »%« umgeschaltet werden.

-P
    Zählt nur Benutzerprozesse statt alle Prozesse. Standardmäßig werden alle Prozesse gezählt: jeder Kernel-Thread und jeder Benutzer-Thread individuell. Mit dieser Einstellung werden Kernel-Threads vom Zählen ausgeschlossen und jeder Benutzerprozess zählt als einer, unabhängig davon, aus wievielen Threads er besteht. Diese Einstellung kann auch zur Laufzeit durch Drücken der Taste »P« umgeschaltet werden. Diese Option darf nicht mit -k kombiniert werden.

-k
    Zählt nur Benutzerprozesse und Kernel-Threads statt alle Prozesse. Standardmäßig werden alle Prozesse gezählt: jeder Kernel-Thread und jeder Benutzer-Thread individuell. Mit dieser Einstellung werden Kernel-Threads beim Zählen eingeschlossen und jeder Benutzerprozess zählt als einer, unabhängig davon, aus wievielen Threads er besteht. Diese Einstellung kann auch zur Laufzeit durch Drücken der Taste »k« umgeschaltet werden. Diese Option darf nicht mit -P kombiniert werden.

--recursive=
    Steuert, ob die Anzahl der für Control-Gruppen angezeigten Prozesse auch alle Prozesse einschließen soll, die in einer der Kind-Control-Gruppen enthalten sind. Erwartet ein logisches Argument, standardmäßig »yes«. Falls aktiviert, werden Prozesse in Kind-Control-Gruppen eingeschlossen. Falls deaktiviert, werden nur die Prozesse in der Control-Gruppe selbst gezählt. Diese Einstellung kann auch zur Laufzeit durch Drücken der Taste »r« umgeschaltet werden. Beachten Sie, dass diese Einstellung auch auf das Prozesszählen zutrifft, d.h. wenn die Optionen -P oder -k verwandt werden. Sie hat keinen Effekt, falls alle Prozesse gezählt werden, da in diesem Fall die Zählung immer rekursiv erfolgt.

-n, --iterations=
    Führt nur diese Anzahl an Iterationen durch. Ein Wert von 0 zeigt an, dass das Programm unbegrenzt laufen soll.

-1
    Eine Kurzform von --iterations=1.

-d, --delay=
    Gibt die Auffrischungsverzögerung in Sekunden (oder falls als Einheit entweder »ms«, »us« oder »min« angegeben ist, in dieser Zeiteinheit) an. Diese Einstellung kann zur Laufzeit durch Drücken der Tasten »+« und »-« auch erhöht und verringert werden.

--depth=
    Maximale Control-Gruppenbaumdurchlauftiefe. Gibt an, wie tief systemd-cgtop die Control-Gruppenhierarchie durchlaufen soll. Falls 0 angegeben ist, wird nur die Wurzelgruppe überwacht. Für 1 wird nur die erste Stufe der Control-Gruppen überwacht und so weiter. Standardmäßig 3.

-M MASCHINE, --machine=MASCHINE
    Begrenzt die angezeigten Control-Grupppen auf den Teil, der dem Container MASCHINE entspricht. Diese Option darf nicht verwandt werden, falls ein Control-Gruppenpfad angegeben wird.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

TASTEN

systemd-cgtop ist ein interaktives Werkzeug und kann mittels Benutzereingaben unter Verwendung der folgenden Tasten gesteuert werden:

h
    Zeigt einen kurzen Hilfetext.

Leertaste
    Aktualisiert sofort die Ausgabe.

q
    Beendet das Programm.

p, t, c, m, i
    Sortiert die Control-Gruppen nach Pfad, Anzahl der Prozesse, CPU-Last, Speicherverbrauch bzw. E/A-Last. Diese Einstellung kann auch über den Befehlszeilenschalter --order= gesteuert werden.

%
    Schaltet zwischen der Anzeige der CPU-Zeit als Zeit oder als Prozentwert um. Diese Einstellung kann auch über den Befehlszeilenschalter --cpu= gesteuert werden.

+, -
    Erhöht bzw. verringert die Auffrischungsverzögerung. Diese Einstellung kann auch über den Befehlszeilenschalter --delay= gesteuert werden.

P
    Schaltet zwischen der Anzeige aller Prozesse oder nur der Benutzerprozesse um. Diese Einstellung kann auch über den Befehlszeilenschalter -P gesteuert werden (siehe oben).

k
    Schaltet zwischen dem Zählen aller Prozesse oder nur der Benutzerprozesse und Kernel-Threads um. Diese Einstellung kann auch über den Befehlszeilenschalter -k gesteuert werden (siehe oben).

r
    Schaltet zwischen der rekursiven Aufnahme oder dem rekursiven Ausschluss in Kind-Control-Gruppenprozesszählungen um. Diese Einstellung kann auch über den Befehlszeilenschalter --recursive= gesteuert werden. Diese Taste ist nicht verfügbar, falls alle Programme gezählt werden. Sie ist nur verfügbar, falls Prozesse gezählt werden, wie dies mit den Tasten »P« oder »k« aktiviert wird.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd(1), systemctl(1), systemd-cgls(1), systemd.resource-control(5), top(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).